# Ersetzen einer Zeichenkette in der Eingabe:
echo "Max Mustermann" | awk '{gsub(/^Max/,"Martin"); print}'

# Wie lang ist die Eingabezeile?
echo "Max Mustermann" | awk '{ l=length($0); print l }'


# An welcher Stelle steht eine Zeichenkette in der Eingabezeile?
echo "Max Mustermann" | awk '{ i=index($0,"Muster"); print i }'

# Rueckgabe einer Teilzeichenkette:
echo "Max Mustermann" | awk '{ print substr($0,5) }'

# Rueckgabe einer Teilzeichenkette mit einer bestimmten Laenge:
echo "Max Mustermann" | awk '{ print substr($0,5,6) }'

# Rueckgabe einer Zeichenkette in Kleinbuchstaben:
echo "Max Mustermann" | awk '{ print tolower($0)}'

# Aufsplitten einer Zeichenkette am Trennzeichen in ein Array:
echo "1  A,B,C,D" | awk '{split($2, feld,","); print feld[3]}'

